Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class Timer8Bit.ControlRegister

    java.lang.Object
      avrora.sim.RWRegister
          avrora.sim.mcu.Timer8Bit.ControlRegister

All Implemented Interfaces:
  ActiveRegister

Enclosing class:
  Timer8Bit

protected class Timer8Bit.ControlRegister
extends RWRegister

Field Summary
`static int` | `COMn0`
`static int` | `COMn1`
`static int` | `CSn0`
`static int` | `CSn1`
`static int` | `CSn2`
`static int` | `FOCn`
`static int` | `WGMn0`
`static int` | `WGMn1`

Fields inherited from class avrora.sim.RWRegister
`value`

Constructor Summary
`protected` | `Timer8Bit.ControlRegister()`

Method Summary
`void` | `write(byte val)` The `write()` method writes an 8-bit value to the IO register as a byte.
`void` | `writeBit(int bit, boolean val)` The `writeBit()` method writes a single bit value into the IO register at the specified bit offset.

Methods inherited from class avrora.sim.RWRegister
`read, readBit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FOCn

    public static final int FOCn

See Also:
  Constant Field Values

### WGMn0

    public static final int WGMn0

See Also:
  Constant Field Values

### COMn1

    public static final int COMn1

See Also:
  Constant Field Values

### COMn0

    public static final int COMn0

See Also:
  Constant Field Values

### WGMn1

    public static final int WGMn1

See Also:
  Constant Field Values

### CSn2

    public static final int CSn2

See Also:
  Constant Field Values

### CSn1

    public static final int CSn1

See Also:
  Constant Field Values

### CSn0

    public static final int CSn0

See Also:
  Constant Field Values

Constructor Detail

### Timer8Bit.ControlRegister

    protected Timer8Bit.ControlRegister()

Method Detail

### write

    public void write(byte val)

  Description copied from class: `RWRegister`
  The `write()` method writes an 8-bit value to the IO register as a byte. For simple `RWRegister` instances, this simply writes the internally stored value.

  Specified by:
    `write` in interface `ActiveRegister`
  Overrides:
    `write` in class `RWRegister`
  Parameters:
    `val` - the value to write

### writeBit

    public void writeBit(int bit,
                         boolean val)

  Description copied from class: `RWRegister`
  The `writeBit()` method writes a single bit value into the IO register at the specified bit offset. For simple `RWRegister` instances, this simply updates the bit in the internally stored value

  Specified by:
    `writeBit` in interface `ActiveRegister`
  Overrides:
    `writeBit` in class `RWRegister`
  Parameters:
    `bit` - the number of the bit to write
    `val` - the value of the bit to write

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD